Create an integration

Creates a new Integration Object. The API currently supports only creation Integrations to databases.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns a new Integration object if the call succeeded.

The following are the examples of HTTP status codes including errors that API can generate

Response codesResponse contentDescription
200 OKAn integration objectAn integration has been created successfully.
400 Bad RequestIncorrect property ExtTypeThe ExtType that was specified is invalid.
400 Bad RequestIncorrect SourceType for this integrationThe Source Type that was specified is invalid.
400 Bad RequestThe Name cannot be emptyThe field "Name" cannot be empty.
400 Bad RequestThe SourceType cannot be emptyThe field "SourceType" cannot be empty.
400 Bad RequestThis Source type unsupportedThe Source Type that was specified was 'ChartConnector'. Possible values are 'Flat' for MongoDB and 'Cube' for the rest.
400 Bad RequestThe ConnectionString cannot be emptyThe field "ConnectionString" cannot be empty.
400 Bad RequestThe ServerName cannot be emptyThe field "ServerName" cannot be empty.
400 Bad RequestThe Database cannot be emptyThe field "Database" cannot be empty.
400 Bad RequestThe Driver cannot be emptyThe field "Driver" cannot be empty.
400 Bad RequestThe 'Driver' and 'ExtType' are inconsistentThe value that was specified for 'Driver' parameter doesn't match the specified 'ExtType' value. Check the reference table.
400 Bad RequestFor example: The value of the property 'value' does not match the list of allowed values - ['value1','value2','value3']The value of the property does not match the list of allowed values.
Body Params
string
required

Name of the Integration

int32

The ID of an existing folder to add this Integration to. If nothing is passed, then the Integration will be created in a root folder.

string
required

An additional attribute to describe Integrations. The possible values are listed here. Head to database values.

string
Defaults to Cube

Defines the type of datasets that will be created on that Integration.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain